Bug 843971 - Upgrade synergy to 1.4.9 [NEEDINFO]
Upgrade synergy to 1.4.9
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 14:28 EDT by Joel
Modified: 2015-03-25 10:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 12:28:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
steved: needinfo? (chkr)


Attachments (Terms of Use)

  None (edit)
Description Joel 2012-07-27 14:28:46 EDT
Description of problem:

Synergy hasn't been updated for quite a while.  Let's of performance and stability updates in newest "beta" version.

Version-Release number of selected component (if applicable):

1.3.7 -> 1.4.9

The beta is barely beta.  In fact it is the only released listed on their download page.  To get to the "stable" releases you have to drill down into "alternate downloads".

Please consider pushing updated release to F16/F17.

Thanks!

Joel
Comment 1 Joel 2012-07-27 14:30:14 EDT
Note that this upgrade should fix
https://bugzilla.redhat.com/show_bug.cgi?id=749025
Comment 2 Joel 2013-01-22 13:05:41 EST
Note that 1.4.10 is released now (and for a long time) as well as 1.3.8 on the stable branch.

Any chance an update for this can go out?

Thanks!
Comment 3 Joel 2013-02-12 15:53:07 EST
Bump!
Comment 4 Fedora Update System 2013-02-19 19:06:18 EST
synergy-1.4.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/synergy-1.4.10-1.fc18
Comment 5 Fedora Update System 2013-02-19 19:07:56 EST
synergy-1.4.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/synergy-1.4.10-1.fc17
Comment 6 Joel 2013-02-20 12:04:51 EST
Thanks folks!  Looks good.

Joel
Comment 7 Fedora Update System 2013-02-21 00:44:04 EST
Package synergy-1.4.10-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing synergy-1.4.10-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2792/synergy-1.4.10-1.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-02-22 19:50:50 EST
synergy-1.4.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Steve Dickson 2013-03-06 07:29:39 EST
Would it be possible to push this version on to the  RHEL6 epel branch, since 1.3 and 1.4 are not compatible?
Comment 10 Jan Pokorný 2013-03-28 15:11:14 EDT
Just noticed this incompatibility when trying to connect F17 and F18
since 1.4.10-1.fc17 is still in updates-testing (as per [comment 7]
as per comments in Bodhi, it seems this is status quo) and hence
the default is ~1.3.7-5.fc17.

BTW., the incompatibility may be only partial:

server\client| 1.3.7-5.fc17 | 1.4.10-1.fc18
-------------+--------------+--------------
1.3.7-5.fc17 |   (should)   | NO (client-side diagnostics)
-------------+--------------+--------------
1.4.10-1.fc* |      YES     |      YES


So if possible, one can use a roles swap as a workaround.
Comment 11 Fedora End Of Life 2013-04-03 16:36:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 12 Joel 2013-12-18 12:28:53 EST
Synergy is now at 1.4.10 in fc20.  It is now out of date again by several versions.  1.4.14 is current and 1.4.15 is in beta.  Also, there are a bunch of synergy abrt bugs that aren't from the fedora synergy package.  These should be closed?

I am closing this bug (as reporter).
Comment 13 Jan Pokorný 2015-03-25 09:51:56 EDT
re [comment 10]:

With the recent 1.4.* -> 1.6.* update in Fedora 21, I've just noticed
that 1.6.* client cannot connect to 1.4.* server.
Comment 14 Eric Blake 2015-03-25 10:56:17 EDT
(In reply to Jan Pokorný from comment #13)
> re [comment 10]:
> 
> With the recent 1.4.* -> 1.6.* update in Fedora 21, I've just noticed
> that 1.6.* client cannot connect to 1.4.* server.

It's a bummer that upstream synergy didn't cater to this situation.  Basically, they state:

client     server       status
1.4.*      1.4.*        supported
1.4.*      1.6.*        supported
1.6.*      1.4.*        broken
1.6.*      1.6.*        supported

so as long as your server is at least as new as your newest client, you are okay; old clients are okay (the mismatch is only when the server is older).

I was also quite bummed that this upgrade broke my setup (F21 server, rawhide client); my workaround was to install the rawhide synergy package on the Fedora 21 box.

Note You need to log in before you can comment on or make changes to this bug.